API Reference
Get consensus parameters
Get consensus parameters.
If the height field is set to a non-default value, upon success, the
Cache-Control header will be set with the default maximum age.
Query Parameters
height?integer
height to return. If no height is provided, it will fetch commit informations regarding the latest block.
Default
0Response Body
application/json
application/json
curl -X GET "https://mainnet-beta.rpc.hyperpaxeer.com/consensus_params"{
"jsonrpc": "2.0",
"id": 0,
"result": {
"block_height": "1",
"consensus_params": {
"block": {
"max_bytes": "22020096",
"max_gas": "1000",
"time_iota_ms": "1000"
},
"evidence": {
"max_age": "100000"
},
"validator": {
"pub_key_types": [
"ed25519"
]
}
}
}
}{
"id": 0,
"jsonrpc": "2.0",
"error": "Description of failure"
}Get commit results at a specified height GET
Get Commit. If the `height` field is set to a non-default value, upon success, the `Cache-Control` header will be set with the default maximum age.
Get consensus state GET
Get consensus state. Not safe to call from inside the ABCI application during a block execution.